MINDI(8)                                                              MINDI(8)



[1mNAME[0m
       mindi - a tool for creating boot/root disks

[1mSYNOPSIS[0m
       [1mmindi[0m
       [1mmindi -v[22m| [1m--version[22m| [1m-V[22m| [1m-version[0m
       [1mmindi --findkernel[0m
       [1mmindi --makemountlist [4m[22mfile[0m
       [1mmindi [--max-compressed-size [4m[22mmax[24m[1m] --custom [4m[22mparameters[0m

[1mDESCRIPTION[0m
       [1mmindi  [22mcreates  a set of boot/root floppy disk images and/or a bootable
       ISO image using files from the system it runs on.  [1mmindi [22mwill try  hard
       to  reproduce  the environment of its host system including loaded mod‐
       ules to ensure that the system can be booted properly from the  created
       rescue media.  [1mmindi [22mis used by [1mmonodarchive(8) [22mto produce the required
       boot/root floppy or CD images but can also be used stand-alone.

       For stand-alone usage,  [1mmindi  [22mis  called  without  any  parameters  or
       switches.  It  will then interactively ask the user for all information
       required to create a set of boot/root media.

       The probably more frequent way of calling  [1mmindi  [22mis  non-interactively
       from  [1mmondoarchive(8)  [22musing the [1m--custom [22mswitch. All required informa‐
       tion is then provided via command line  parameters.   The  sequence  of
       these parameters is listed below.

[1mOPTIONS[0m
       [1m-v[22m| [1m--version[22m| [1m-V[22m| [1m-version[0m
              Prints the version of mindi.

       [1m--findkernel[0m
              Finds the image of the running kernel in the file system.

       [1m--makemountlist [4m[22mfile[0m
              Creates a mount list and writes it to file [4mfile[24m.

       [1m--max-compressed-size [4m[22mmax[0m
              Maximum size for disk image in KB.

       [1m--custom [4m[22mparameters[0m
              Provide  all  required  parameters  to [1mmindi [22mfor non-interactive
              calling. This usually means a call  from  [1mmondoarchive(8)[22m.   The
              following parameters are used:
              01) directory to use for temporary files
              02) directory to put disk images in
              03) path to kernel image
              04) tape device
              05) tape size [MB]
              06) total number of files in file list
              07) use LZO [yes|no]
              08) CD recovery media [yes|no]
              09) devices to include
              10) conservative LiLo settings [yes|no]
              11) number of last file list
              12) estimated total number of slices
              13) devices to exclude
              14) compare mode [yes|no]
              15) use lilo [yes|no]
              16) use star (rather than tar) [yes|no]
              17) internal tape block size [bytes]
              18) number of diffenrential backup
              19) make non-bootable [yes|no]
              (Blank  parameters must be specified as "" on the command line.)

[1mDIAGNOSTICS[0m
       [1mmindi [22mwrites some output to the console and  extensive  information  to
       log file [4m/var/log/mindi.log[24m.  When seeking technical support for [1mmindi[22m,
       please attach this file to your email.

[1mFILES[0m
       [4m/var/log/mindi.log[0m
              Log file of mindi run. Contains important information to analyze
              mindi problem reports.

       [4m/etc/mindi/deplist.txt[0m
              List of files to be included on boot/root disks.

       [4m/var/cache/mindi/N.tar.gz[0m
              Number  N  of  multiple  tar balls together containing root file
              system for rescue media.

       [4m/var/cache/mindi/all.tar.gz[0m
              Single tar ball of root file system for rescue media.

       [4m/var/cache/mindi/initrd.img[0m
              initrd image for bootable ISO image.

       [4m/var/cache/mindi/mindi-boot.F.img[0m
              [1mmindi [22mboot floppy of size F [KB].

       [4m/var/cache/mindi/mindi-root.F.img[0m
              [1mmindi [22mroot floppy of size F [KB].

       [4m/var/cache/mindi/mindi-data.N.img[0m
              [1mmindi [22mdata floppy number N for boot/root floppies.

       [4m/var/cache/mindi/mindi.iso[0m
              [1mmindi [22mbootable ISO image.

[1mCONFIGURATION FILE[0m
       You may create a  mindi  configuration  file  under  [1m/etc/mindi  [22mcalled
       [1mmindi.conf  [22mwhich overwrites default values by setting up the following
       variables:

       [4mTMPDIR[24m [1m(default /tmp): directory to create temporary files[0m

       [4mEXTRA_SPACE[0m
              [1m(default 24576): increase if you run out of ramdisk space[0m

       [4mIA64_BOOT_SIZE[0m
              [1m(default 8192): size of the ia64 boot disk[0m

       [4mCACHE_LOC[0m
              [1m(default /var/cache/mindi): directory where boot/root files  [22mand
              iso are generated
              WARNING: This directory is erased before usage

[1mSEE ALSO[0m
       mondoarchive(8), mondorestore(8).

       See mailing list at http://www.mondorescue.org for technical support.

[1mAUTHORS[0m
       Bruno Cornec (lead-development) [4mbcornec_at_mondorescue.org[0m
       Andree Leidenfrost (co-developper) [4maleidenf_at_bigpond.net.au[0m

[1mORIGINAL AUTHORS[0m
       Hugo Rabson (original author) [4mhugo.rabson_at_mondorescue.org[0m
       Jesse Keating (packaging) [4mhosting_at_j2solutions.net[0m
       Stan Benoit (testing) [4mtroff_at_nakedsoul.org[0m
       Mikael Hultgren (docs) [4mmikael_hultgren_at_gmx.net[0m



Mondo Rescue 2.2.2-rRRR           2007-04-27                          MINDI(8)
